Using a negative exit code is a bashism and since we use /bin/sh to
interpret the script, we should avoid it.
This was reported by Raphael Geissert <
ato...@gmail.com> in a debian
bug report:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=772222
Signed-off-by: Gabriel Filion <
gab...@lelutin.ca>
---
Note that this also makes the "usage" exit code similar to what's currently
used in import-rdiff-backup
cmd/import-rsnapshot-cmd.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/cmd/import-rsnapshot-cmd.sh b/cmd/import-rsnapshot-cmd.sh
index d04fbbb..6ab3984 100755
--- a/cmd/import-rsnapshot-cmd.sh
+++ b/cmd/import-rsnapshot-cmd.sh
@@ -5,7 +5,7 @@ usage() {
echo "Usage: bup import-rsnapshot [-n]" \
"<path to snapshot_root> [<backuptarget>]"
echo "-n,--dry-run: just print what would be done"
- exit -1
+ exit 1
}
DRY_RUN=
--
2.1.4